/* 
Theme Name: Hello Elementor Child IC
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child IC is a child theme of Hello Elementor, created by Elementor team and revisited by Identità Creative
Author: Elementor Team, Identità Creative
Author URI: https://identitacreative.it/
Template: hello-elementor
Version: 1.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/


/* CSS for CookieYes GDPR Plugin */

.cli-tab-footer .wt-cli-privacy-accept-btn,
.cli-switch input:checked + .cli-slider{
    background-color: var(--e-global-color-secondary);
	/*border-radius: 40px;*/
}
.wt-cli-ckyes-brand-logo,
.cky-btn-revisit-wrapper,
.cky-revisit-bottom-left
{
    display: none!important;
}
.grecaptcha-badge{
	display: none;
}
.cli-bar-btn_container a{
	font-size: 14px!important;
}

p strong,
p b{
	font-weight: 600!important;
}


/* Dynamic Background Colors */
body {
  transition: background-color 0.3s ease-in-out;
}

.dbg-color-white{
	background-color: #ffffff;
}
.dbg-color-secondary{
	background-color: var(--e-global-color-secondary);
}
.dbg-color-grigino{
	background-color: var(--e-global-color-a35e4da);
}
/* Hover Links Underline CSS */

.hover-1:not(.menu-expanded) a{
    display:  block;
    position: relative;
}
.hover-1:not(.menu-expanded) a:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 1px;
  bottom: 0;
  left: 0;
  background-color: var(--e-global-color-primary);
  transform: scaleX(0);
  transform-origin: bottom right;
  transition: transform 0.3s;
  opacity: 1;
}
.hover-1:not(.menu-expanded) a:hover:after {
  transform-origin: bottom left;
  transform: scaleX(1);
}

.hover-1:not(.menu-expanded) a:hover{
    color: var(--e-global-color-primary);
}

.hover-1 .elementor-item:not(:hover):not(:focus):not(.elementor-item-active):not(.highlighted):after{
    opacity: 1;
}

.menu-expanded.hover-1 a:after {
  content: "";
  position: absolute;
  width: 100%;
  height: 1px;
  bottom: 0;
  left: 0;
  background-color: var(--e-global-color-primary);
  transform: scaleX(0);
  transform-origin: bottom right;
  transition: transform 0.3s;
  opacity: 1;
}
.menu-expanded.hover-1 a:hover:after {
  transform-origin: bottom left;
  transform: scaleX(1);
}

.menu-expanded.hover-1 a:hover{
    color: var(--e-global-color-primary);
}

a,
a:hover{
    transition: all 0.2s ease-in-out;
}

/* ===== HOMEPAGE SPECIFIC CSS ====== */

.elementor-page-17 .logo-header svg path{
	fill: #ffffff!important;
}

.elementor-page-17 .menu-hamburger{
	margin-right: 20px;
	transition: all 0.3s ease;
}
.elementor-page-17 .logo-header{
	margin-left: 20px!important;
	margin-top: 20px!important;
}

.elementor-page-17 #scrollable-navbar.scrolling .menu-hamburger{
	margin-right: 0px!important;
}

.elementor-page-17 #scrollable-navbar.scrolling .logo-header{
	margin-left: 0px!important;
	margin-top: 0px!important;
}
.elementor-page-17 #scrollable-navbar .header-left-spacer{
	margin-left: 20px;
}
.elementor-page-17 .header-left-spacer{
	display: none!important;
}

.elementor-page-17 #scrollable-navbar:not(.scrolling) .e-con-inner{
	max-width: 1880px!important;
}

@media (min-width: 768px){
	.elementor-page-17 .logo-header{
		margin-top: 0px!important;
	}

	.elementor-page-17 .logo-header svg > g > g:first-of-type path{
		fill: var(--e-global-color-accent)!important;
	}
	.elementor-page-17 .logo-header svg > g > g:last-of-type path{
		fill: var(--e-global-color-text)!important;
	}
	
}
@media (min-width: 1200px){
	.elementor-page-17 .logo-header{
		margin-left: clamp(3.75rem, 1.6667rem + 2.7778vw, 5rem)!important;
	}
}

.elementor-page-17 .menu-hamburger .menu-hamburger-icon:after,
.elementor-page-17 .menu-hamburger .menu-hamburger-icon:before,
.elementor-page-17 .menu-hamburger .menu-hamburger-icon > span{
	background-color: #ffffff!important;
}
.elementor-page-17 .menu-hamburger .menu-hamburger-text{
	color: #ffffff!important;
}

.anim-text-metal .elementor-heading-title {
	animation: anim-text-metal 3s linear infinite;
    background-color: #91743D;
    background-image: linear-gradient(
        90deg,
        #6E562D 0%,   /* darker shade */
        #91743D 30%,  /* base color */
        #A88E46 50%,  /* softer golden highlight (less bright than #E5D2A0) */
        #91743D 70%,  /* base color again */
        #6E562D 100%  /* darker shade */
    );
    -webkit-background-clip: text;
    background-size: 400%;
    background-position: 0% 50%;
    color: transparent !important;
    -webkit-box-decoration-break: clone;
    transition: all 0.4s ease;
}

/* nav .sub-menu .menu-item a:hover{
	animation: anim-text-metal 3s linear infinite;
    background-color: none;
    background-image: linear-gradient(
        90deg,
        #6E562D 0%,   
        #91743D 30%,  
        #A88E46 50%, 
        #91743D 70%, 
        #6E562D 100%
   );
    background-size: 400%;
    background-position: 0% 50%;
    transition: all 0.4s ease;
}
 */
@keyframes anim-text-metal {
    0% {
        background-position: 0% 50%;
    }
    100% {
        background-position: 100% 50%;
    }
}


/* ===== NAVBAR ANIMATION ====== */
#scrollable-navbar {
  position: absolute;
  width: 100%;
  top: 0;
  left: 0;
  background: transparent;
  z-index: 1000;
  transition: transform .24s ease, opacity .24s ease, background-color 0.3s ease, box-shadow 0.3s ease;
  will-change: transform;
}
#scrollable-navbar .logo-header svg{
	transition: all 0.3s ease;
}

#scrollable-navbar .menu-expanded{
	display: none;
}

#scrollable-navbar.scrolling {
	position: fixed;
  	background-color: white;
	box-shadow: rgba(0, 0, 0, 0.1) 0px 0.2rem 2.4rem;
}

#scrollable-navbar.scrolling .logo-header {
  margin-left: 0;
}

#scrollable-navbar.scrolling .header-left-spacer{
	display: none;
}

#scrollable-navbar.scrolling .logo-header svg > g > g:first-of-type path{
  fill:var(--e-global-color-accent)!important;
}

#scrollable-navbar.scrolling .logo-header svg > g > g:last-of-type path{
  fill:var(--e-global-color-text)!important;
}
#scrollable-navbar.scrolling  .menu-hamburger .menu-hamburger-icon:after,
#scrollable-navbar.scrolling  .menu-hamburger .menu-hamburger-icon:before,
#scrollable-navbar.scrolling  .menu-hamburger .menu-hamburger-icon > span{
	background-color: var(--e-global-color-text)!important;
}
#scrollable-navbar.scrolling  .menu-hamburger .menu-hamburger-text{
	color: var(--e-global-color-text)!important;
}
#scrollable-navbar .e-con-inner{
	transition: padding 0.3s ease;
}
#scrollable-navbar.scrolling .e-con-inner{
	padding-top: 12px;
	padding-bottom: 12px;
	transition: padding 0.3s ease;
}

#scrollable-navbar.scrolling .logo-header svg{
	height: 40px!important;
	transition: all 0.3s ease;
}
#scrollable-navbar.scrolling .logo-header svg {
	margin-bottom: -10px;
}
#scrollable-navbar.scrolling .logo-header svg > g > g:last-of-type{
	display: none;
}

#scrollable-navbar .cta-on-scroll{
	display: none;
}
@media (max-width: 767px){
	#scrollable-navbar.scrolling .logo-header svg {
		height: 40px !important;
	}
}

@media (min-width: 768px){
	#scrollable-navbar.scrolling .logo-header svg{
		height: 46px!important;
	}
	#scrollable-navbar.scrolling .e-con-inner{
		padding-top: 12px;
		padding-bottom: 12px;
	}
	
	#scrollable-navbar.scrolling .menu-expanded{
		display: flex;
	}
	
	#scrollable-navbar.scrolling .menu-hamburger{
		display: none;
	}
}

@media (min-width: 1025px){
	#scrollable-navbar.scrolling .cta-on-scroll{
		display: block;
	}
}

#scrollable-navbar.nav-show { transform: translateY(0); opacity: 1; }
#scrollable-navbar.nav-hide { transform: translateY(-100%); opacity: 0; }

.logo-header {
  transition: margin 0.3s ease;
}

/* ===== MENU HAMBURGER COOL  ====== */
:root{
    --menu-icon-height: 25px;
    --menu-icon-width: 25px;
    --menu-text-font-size: clamp(0.75rem, 0.625rem + 0.5vw, 1rem);
    --menu-gap: clamp(0.5rem, 0.25rem + 1vw, 1rem);
}
.menu-hamburger{
    display: flex;
    flex-direction: row;
    justify-content: stretch;
    align-items: center;
    gap: var(--menu-gap);
}

.menu-hamburger .menu-hamburger-text{
    position: relative;
    display: flex;
    height: calc(var(--menu-text-font-size) * 1.3);
    align-items: start;
    font-size: var( --menu-text-font-size);
    justify-content: flex-start;
    color: var(--e-global-color-text);
    overflow: hidden;
}

.menu-hamburger .menu-hamburger-text > span{
    display: flex;
    flex-direction: column;
    align-items: center;
    line-height: 1;
    padding-top: 0.2rem;
    gap: 0.4em;
}
.menu-hamburger .menu-hamburger-text > span:after{
    display: block;
    content: attr(data-label);
    display: flex;
}
.menu-hamburger .menu-hamburger-icon{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-start;
    justify-content: center;
    text-align: left;
    width: var(--menu-icon-width);
    height: var(--menu-icon-height);
    transform: var(--transition-slower) var(--transition) 
	cubic-bezier(0.23, 1, 0.32, 1);
}

.menu-hamburger .menu-hamburger-icon:before,
.menu-hamburger .menu-hamburger-icon:after{
    content: " ";
    width: 100%;
    height: 1px;
    display: block;
    background-color: var(--e-global-color-text);
}
.menu-hamburger .menu-hamburger-icon > span{
	display: none;
}

@media (hover: hover) {
    .menu-hamburger .menu-hamburger-text > span,
    .menu-hamburger .menu-hamburger-icon:after,
    .menu-hamburger .menu-hamburger-icon:before{
        transition: transform 0.5s cubic-bezier(0.23, 1, 0.32, 1);
        transform-origin: top left;
     }
    .menu-hamburger:hover .menu-hamburger-text > span{
        transform: translate3d(0px, calc(-50% - 0.2em), 0px);
    }
    
    .menu-hamburger:hover .menu-hamburger-icon:before{
        transform: scaleX(0.8);
    }
    .menu-hamburger:hover .menu-hamburger-icon:after{
        transform: scaleX(0.6);
    }
}

@media (max-width: 767px) {
    .menu-hamburger .menu-hamburger-icon > span,
    .menu-hamburger .menu-hamburger-icon:after,
    .menu-hamburger .menu-hamburger-icon:before{
        transition: transform 0.5s cubic-bezier(0.23, 1, 0.32, 1);
        transform-origin: top left;
     }
    .menu-hamburger .menu-hamburger-text{
        display: none;
    }
	.menu-hamburger .menu-hamburger-icon{
		gap: 7px;
	}
	.menu-hamburger .menu-hamburger-icon > span{
		display: block;
		width: 80%;
		height: 1px;
		background-color: var(--e-global-color-text);
	}

}

/* ===== FOOTER MOBILE COLLAPSE  ====== */
@media (max-width: 767px){
	.menu-mobile-collapse .menu-mobile-collapse-header{
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		flex-wrap: nowrap;
		align-items: center;
	}
	.menu-mobile-collapse .menu-mobile-collapse-header svg{
		font-weight: 900;
		font-size: 20px;
		text-rendering: auto;
		transition: all 0.3s ease;
		color: var(--e-global-color-primary);
	}

	.menu-mobile-collapse.active .menu-mobile-collapse-header svg{
		-o-transform:rotate(180deg);
		-ms-transform:rotate(180deg);
		-moz-transform:rotate(180deg);
		-webkit-transform:rotate(180deg);
		transform:rotate(180deg);
	}

	.menu-mobile-collapse .menu-mobile-collapse-content{
		max-height: 0px;
		overflow: hidden;
		transition: all 0.3s ease;
	}
}

/* ===== MENU CLOSE COOL  ====== */
:root{
    --menu-icon-height: 25px;
    --menu-icon-width: 25px;
    --menu-text-font-size: clamp(0.75rem, 0.625rem + 0.5vw, 1rem);
    --menu-gap: clamp(0.5rem, 0.25rem + 1vw, 1rem);
}
.menu-close{
    display: flex;
    flex-direction: row;
    justify-content: stretch;
    align-items: center;
    gap: var(--menu-gap);
}

.menu-close .menu-close-text{
    position: relative;
    display: flex;
    height: calc(var(--menu-text-font-size) * 1.3);
    align-items: start;
    font-size: var( --menu-text-font-size);
    justify-content: flex-start;
    color: var(--e-global-color-text);
    overflow: hidden;
}

.menu-close .menu-close-text > span{
    display: flex;
    flex-direction: column;
    align-items: center;
    line-height: 1;
    padding-top: 0.2rem;
    gap: 0.4em;
}
.menu-close .menu-close-text > span:after{
    display: block;
    content: attr(data-label);
    display: flex;
}
.menu-close .menu-close-icon{
	display: block;
	position: relative;
    width: var(--menu-icon-width);
    height: var(--menu-icon-height);
} 
.menu-close .menu-close-icon:before{
	transform: rotate3d(0, 0, 1, 45deg);
}
.menu-close .menu-close-icon:after{
	transform: rotate3d(0, 0, 1, -45deg);
}
.menu-close .menu-close-icon:before,
.menu-close .menu-close-icon:after{
    content: " ";
	top: 50%;
    width: 100%;
    height: 1px;
    display: block;
	position: absolute;
    background-color: var(--e-global-color-text);
}


@media (hover: hover) {
    .menu-close .menu-close-text > span,
    .menu-close .menu-close-icon:after,
    .menu-close .menu-close-icon:before{
        transition: transform 0.5s cubic-bezier(0.23, 1, 0.32, 1);
        transform-origin: center;
     }
    .menu-close:hover .menu-close-text > span{
        transform: translate3d(0px, calc(-50% - 0.2em), 0px);
    }
    
    .menu-close:hover .menu-close-icon:before{
		transform: rotate3d(0, 0, 1, 135deg) scaleX(0.75);
    }
    .menu-close:hover .menu-close-icon:after{
        transform: rotate3d(0, 0, 1, 45deg) scaleX(0.75);
    }
}



/* ===== CARD ANIMATION ====== */

/* ===== Gradient overlay ===== */
.card-animated::after {
  content: "";
  position: absolute;
  background-image: linear-gradient(to bottom, #000 100%)!important;
  inset: 0;
  opacity: 0;
  transition: all 0.6s ease;
  mix-blend-mode: normal;
}

.card-animated{
  transition: all 0.6s ease;
  filter: saturate(1);
}

.card-animated::before{
	opacity: 1;
  	transition: all 0.6s ease;
}

.card-animated .elementor-widget-heading{
	z-index: 2;
}


/* .card-animated:hover::before{
	opacity: 0;
}
.card-animated:hover::after {
  opacity: 0.5;
  transition: all 0.6s ease;
} */



.card-animated:hover {
  filter: saturate(0);
}

/* Hover animation */
/* .card-animated:hover .card-text {
  top: 50%;
  transform: translate(-50%, -50%) scale(1.2);
} */


/* Team Card Animation */

.team-card{
    aspect-ratio: 3 / 4;
    background-size: cover!important;
    
}

.team-card .team-card-title{
    max-height: 80px;
	margin-top: 120%!important;
    overflow: hidden;
    transition: all 0.4s ease;
}
.team-card .team-card-title .elementor-heading-title{
	transition: color 0.4s ease;

}

.team-card .team-card-role{
    max-height: 34px;
    overflow: hidden;
    transition: all 0.4s ease;
}
.team-card .team-card-role p,
.team-card .team-card-role .elementor-heading-title{
	line-height: 1.5rem!important;
}

.team-card .team-card-description{
    max-height: 0px;
    overflow: hidden;
    transition: all 0.4s ease;
    opacity: 0;
}

.team-card:after{
    content: "";
	--team-card-margin: 20px;
	--team-card-padding: 20px;
    position: absolute;
    width: calc(100% - (var(--team-card-margin)*2));
    height: calc(100% - (var(--team-card-margin)*2));
    display: block;
    top:0;
    left:0;
	margin: var(--team-card-margin);
    background-image: linear-gradient(var(--e-global-color-secondary) 0% 100%)!important;
    opacity: 0;
    transition: opacity 0.4s ease;
    z-index: 1;
}



.team-card:hover .team-card-role{
    max-height: 0px;
    opacity: 0;
}
.team-card:hover .team-card-title{
	margin-top: 0%!important;
	padding-top: 40px;
}
.team-card:hover .team-card-title .elementor-heading-title{
	color: var(--e-global-color-primary);
}

.team-card:hover .team-card-description{
    max-height: 350px;
    opacity: 1;
}

.team-card:hover:after{
    opacity: 1;
}



/* Card Package */

.card-package{
    aspect-ratio: 3 / 4;
	background-size: cover!important;
    transition: all 0.4s ease;
    
}

.card-package .card-package-title{
    transition: all 0.2s ease;
}

.card-package .card-package-description{
    max-height: 0px;
    overflow: hidden;
    transition: all 0.4s ease;
    opacity: 0;
}

.card-package .card-package-title .elementor-heading-title{
	transition: all 0.4s ease;
}

.card-package:after{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    top:0;
    left:0;
    background-image: linear-gradient(var(--e-global-color-secondary) 0% 100%)!important;
    opacity: 0;
    transition: opacity 0.4s ease;
    z-index: 0;
}

.card-package:hover .card-package-title,
.card-package:hover .card-package-title .elementor-heading-title{
	color: var(--e-global-color-primary)!important;
}
.card-package:hover .card-package-description{
    max-height: 350px;
    opacity: 1;
}

.card-package:hover:after{
    opacity: 1;
}


/* ===== MARQUEE EFFECT STYLE ====== */
.marquee {
  overflow: hidden!important;
  display: flex!important;
}
.marquee .elementor-heading-title{
  white-space: nowrap!important;
}

.screen-reader-text {
  position:absolute;
  width:1px;
  height:1px;
  padding:0;
  margin:-1px;
  overflow:hidden;
  clip:rect(0,0,0,0);
  border:0;
}

/* ====== Mobile Bottom bar ===== */

#mobile-bottom-bar{
	display: none;
}

@media (max-width: 767px){
	#mobile-bottom-bar.scrolling{
		display: block;
		transition: all 0.3s ease;
		position: fixed;
		bottom: 0px;
		left: 0px;
		right: 0px;
		z-index: 9;
		transform: translateY(100%); opacity: 0;
	}
	#mobile-bottom-bar.scrolling.active{
		transform: translateY(0); opacity: 1; 
	}
}


